Last Comment Bug 870540 - [meta] Enable us to use the second number in the Firefox version
: [meta] Enable us to use the second number in the Firefox version
Status: NEW
[qa-]
: addon-compat
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 869568 870868
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 14:12 PDT by Alex Keybl [:akeybl]
Modified: 2013-10-21 10:58 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments

Description Alex Keybl [:akeybl] 2013-05-09 14:12:14 PDT
We'd like to use the second number in the ESR (and mainline Firefox) version number for planned security releases of a single Gecko version.
Comment 1 Alex Keybl [:akeybl] 2013-06-05 13:06:23 PDT
Can't remember why I tracked this for 23. Still tracking for 24 though, to prepare for a 24.1.
Comment 2 bhavana bajaj [:bajaj] 2013-07-01 15:55:12 PDT
:bhearsum, the dependencies look resolved, anything else needed for this to work which may not be on this bug?
Comment 3 Ben Hearsum (:bhearsum) 2013-08-20 04:38:41 PDT
(In reply to bhavana bajaj [:bajaj] from comment #2)
> :bhearsum, the dependencies look resolved, anything else needed for this to
> work which may not be on this bug?

Nope, should be fine. Sorry for missing this question - somehow I wasn't cc'ed or anything.
Comment 4 Florian Bender 2013-09-04 11:19:53 PDT
… and RESO-FIX the bug?
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-09-10 16:16:44 PDT
I don't see anything specific needing QA verification here. Please replace the [qa-] whiteboard tag with the verifyme keyword if there's something needed from us here.
Comment 6 Kohei Yoshino [:kohei] 2013-09-17 19:27:19 PDT
Bug 870868 froze the second number of the UA Gecko version at zero:

(Bug 870868 Comment 0)
> Please freeze the second number of the UA Gecko version at zero. So for
> instance Firefox 24.1 would show up as Firefox 24.0 in the UA.

This bug says "enable us to *use* the second number" but it actually won't affect site/add-on compatibility, right?
Comment 7 Alex Keybl [:akeybl] 2013-10-09 12:42:42 PDT
(In reply to Kohei Yoshino [:kohei] from comment #6)
> Bug 870868 froze the second number of the UA Gecko version at zero:
> 
> (Bug 870868 Comment 0)
> > Please freeze the second number of the UA Gecko version at zero. So for
> > instance Firefox 24.1 would show up as Firefox 24.0 in the UA.
> 
> This bug says "enable us to *use* the second number" but it actually won't
> affect site/add-on compatibility, right?

Correct, because bug 870868 was resolved.
Comment 8 Kohei Yoshino [:kohei] 2013-10-09 17:05:56 PDT
akeybl: thanks for your clarification. 

jorgev: you may want to update your add-on compat doc:
https://blog.mozilla.org/addons/2013/09/03/compatibility-for-firefox-24/
Comment 9 Jorge Villalobos [:jorgev] 2013-10-21 10:58:24 PDT
This was done some time ago. Thanks for the poke.

Note You need to log in before you can comment on or make changes to this bug.